# std::filesystem::directory_entry::assign

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

void assign( const std::filesystem::path& p ); void assign( const std::filesystem::path& p, std::error_code& ec ); |  | (since C++17)

Assigns new content to the directory entry object. Sets the path to `p` and calls `refresh` to update the cached attributes. If an error occurs, the values of the cached attributes are unspecified.

### Parameters

p | - | path to the filesystem object to which the directory entry will refer
ec | - | out-parameter for error reporting in the non-throwing overload

### Return value

(none)

### Exceptions

The overload that does not take a std::error_code& parameter throws `filesystem_error` on underlying OS API errors, constructed with `p` as the first path argument and the OS error code as the error code argument. The overload taking a std::error_code& parameter sets it to the OS API error code if an OS API call fails, and executes ec.clear() if no errors occur. Any overload not marked `noexcept` may throw std::bad_alloc if memory allocation fails.

### Example

| This section is incomplete Reason: no example

### See also

operator= | assigns contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/assign&oldid=104998"